import { Connect, Session } from '@genesislcap/foundation-comms';
import { FASTElement } from '@microsoft/fast-element';
import { Container } from '@microsoft/fast-foundation';
import { MainRouterConfig } from '../routes';
/**
 * @public
 */
export declare class MainApplication extends FASTElement {
    config: MainRouterConfig;
    connect: Connect;
    session: Session;
    container: Container;
    provider: HTMLElement;
    ready: boolean;
    connectedCallback(): void;
    onLuminanceToggle(): void;
    loadRemotes(): Promise<void>;
    selectTemplate(): import("@microsoft/fast-element").ViewTemplate<MainApplication, any>;
    private registerDIDependencies;
}
//# sourceMappingURL=main.d.ts.map