import { __decorate } from "tslib";
import { css, customElement, FASTElement } from '@microsoft/fast-element';
import { EntityManagement } from '../../entities';
import { Profiles } from '../../profiles/profiles';
import { Users } from '../../users/users';
import { EntityManagementDemoTemplate } from './entity-management.template';
EntityManagement;
Users;
Profiles;
let EntityManagementDemo = class EntityManagementDemo extends FASTElement {
};
EntityManagementDemo = __decorate([
    customElement({
        name: 'entity-management-demo',
        template: EntityManagementDemoTemplate,
        styles: css `
    zero-tabs {
      padding-top: 8px;
    }

    zero-tab-panel {
      padding: 0 15px 15px;
    }

    :host,
    zero-tabs,
    zero-tab-panel {
      height: 100%;
    }
  `,
    })
], EntityManagementDemo);
export { EntityManagementDemo };
